Update Meter Reading For Custom Meter
curl --request PUT \
--url https://realtime.replace-me.example.com/custommeters/{customMeterId}/meterreadings/{meterReadingId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"timestamp": "2020-01-04T19:00:00.000+0000",
"value": 13
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({timestamp: '2020-01-04T19:00:00.000+0000', value: 13})
};
fetch('https://realtime.replace-me.example.com/custommeters/{customMeterId}/meterreadings/{meterReadingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://realtime.replace-me.example.com/custommeters/{customMeterId}/meterreadings/{meterReadingId}"
payload = {
"timestamp": "2020-01-04T19:00:00.000+0000",
"value": 13
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)RealTime API - Meter Readings
Update Meter Reading For Custom Meter
A PUT request will update a meter reading for the custom meter with a matching identifier.
PUT
/
custommeters
/
{customMeterId}
/
meterreadings
/
{meterReadingId}
Update Meter Reading For Custom Meter
curl --request PUT \
--url https://realtime.replace-me.example.com/custommeters/{customMeterId}/meterreadings/{meterReadingId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"timestamp": "2020-01-04T19:00:00.000+0000",
"value": 13
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({timestamp: '2020-01-04T19:00:00.000+0000', value: 13})
};
fetch('https://realtime.replace-me.example.com/custommeters/{customMeterId}/meterreadings/{meterReadingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://realtime.replace-me.example.com/custommeters/{customMeterId}/meterreadings/{meterReadingId}"
payload = {
"timestamp": "2020-01-04T19:00:00.000+0000",
"value": 13
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)Authorizations
Token returned by POST /authenticate. Expires after 60 minutes of inactivity.
Path Parameters
Unique identifier of the custom meter.
Unique identifier of the meter reading.
Response
Successful response

